<?php
require_once ("VLSIuser.php");
session_start();
$jmsess="ulozADDPROJ";
$_SESSION[$jmsess]=true;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />

        <title>Adding projects</title>
<script type="text/javascript">
function kontrola_formulare()
{
  var text_nazev = self.document.forms.addproj.nazev;
  var text_nazeveng = self.document.forms.addproj.nazeveng;
  var text_rozsah = self.document.forms.addproj.rozsah;
  var text_literatura = self.document.forms.addproj.literatura;

 if (text_nazev.value.length==0)
 {
 text_nazev.focus();
 alert("Musíte vyplnit Název.");
 return false;
 }
 if (text_nazev.value.length>320)
 {
 text_nazev.focus();
 alert("Název nesmí být delší jak 320 znaků.");
 return false;
 }
 if (text_nazeveng.value.length>320)
 {
 text_nazeveng.focus();
 alert("Anglický název nesmí být delší jak 320 znaků.");
 return false;
 }
 if (text_rozsah.value.length>40)
 {
 text_rozsah.focus();
 alert("Rozsah nesmí být delší jak 40 znaků.");
 return false;
 }
 if (text_literatura.value.length>320)
 {
 text_literatura.focus();
 alert("Literatura nesmí být delší jak 320 znaků.");
 return false;
 }

}
</script>
    </head>
    <body style="padding:20px;">
<h3 style="margin-left:50px;">Vkládání nového projektu</h3>
<?php echo "Jste Přihlášen jako: <b>".$user['fullname']."</b><br />";?>
<?/*php
$db->close();
*/?>
<br /><br /><br />
<p style="width:400px;">Položky označené červeně musí být vyplněny. U oboru zkratka 'res' znamená rešeršní práce. Tagy nebudou interpretovány. </p>

<?php
//zobrazeni chyb
if(isset($_GET['chybinazev']) && $_GET['chybinazev']==true){echo "<br /><b><font color=\"red\">Musíte vyplnít políčko název</font></b>";}
if(isset($_GET['nazevchyba'])&& $_GET['nazevchyba']==true){echo "<br /><b><font color=\"red\">Délka názvu přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['nazevengchyba'])&& $_GET['nazevengchyba']==true){echo "<br /><b><font color=\"red\">Délka anglického názvu přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['rozsahchyba'])&& $_GET['rozsahchyba']==true){echo "<br /><b><font color=\"red\">Délka rozsahu přesahuje 40 znaků!</font></b>"; }
if(isset($_GET['literchyba'])&& $_GET['literchyba']==true){echo "<br /><b><font color=\"red\">Délka literatury přesahuje 320 znaků!</font></b>"; }


//inicializace formulare
if (isset($_GET['nazev'])){
  if ($slashes==1){$nazev=htmlspecialchars(stripslashes($_GET['nazev']));}else
  {$nazev=htmlspecialchars($_GET['nazev']);}
} else{$nazev="";}

if (isset($_GET['nazeveng'])){
  if ($slashes==1){$nazeveng=htmlspecialchars(stripslashes($_GET['nazeveng']));}else
  {$nazeveng=htmlspecialchars($_GET['nazeveng']);}
} else{$nazeveng="";}

if (isset($_GET['popis'])){
  if ($slashes==1){$popis=htmlspecialchars(stripslashes($_GET['popis']));}else
  {$popis=htmlspecialchars($_GET['popis']);}
} else{$popis="";}

if (isset($_GET['rozsah'])){
  if ($slashes==1){$rozsah=htmlspecialchars(stripslashes($_GET['rozsah']));}else
  {$rozsah=htmlspecialchars($_GET['rozsah']);}
} else{$rozsah="";}

if (isset($_GET['literatura'])){
  if ($slashes==1){$literatura=htmlspecialchars(stripslashes($_GET['literatura']));}else
  {$literatura=htmlspecialchars($_GET['literatura']);}
} else{$literatura="";}



if (isset($_GET['obor'])){$obor=(int)$_GET['obor'];}else{$obor=1;}
// vypis formulare
?>
<form  name="addproj" action="insertpr.php?<?php echo(SID); ?>" method="post" onsubmit="return kontrola_formulare();" >
<b>Název <font color="red">*</font></b><br /><textarea name="nazev" cols="40" rows="2"><?php echo $nazev; ?></textarea><br />
<b>Anglický název </b><br /><textarea name="nazeveng" cols="40" rows="2"><?php echo $nazeveng; ?></textarea><br /><br />
<b>Popis </b><br /><textarea name="popis" cols="40" rows="4"><?php echo $popis; ?></textarea><br /><br />
<b>Rozsah </b><br /><textarea name="rozsah" cols="40" rows="2"><?php echo $rozsah; ?></textarea>
<br />
<b>Literatura </b><br /><textarea name="literatura" cols="40" rows="2"><?php echo $literatura; ?></textarea>
<br />
<br /><b>Obor</b><br />
<select name="typ">
<option value="1" <?php if($obor==1){echo "selected=\"selected\"";}?> >SW</option>
<option value="2" <?php if($obor==2){echo "selected=\"selected\"";}?> >SW+HW</option>
<option value="3" <?php if($obor==3){echo "selected=\"selected\"";}?> >HW</option>
<option value="4" <?php if($obor==4){echo "selected=\"selected\"";}?> >res</option>
</select><br />
<br />
<input type="submit" name="odeslane" value="Odeslat" /> <input type="reset" value="Reset" /></form>

 </body>
</html>
